Now that Magento 2.3.3 has been released we have been preparing our platform for supporting PHP 7.3. Magento now officially supports PHP 7.3 since this new version. PHP 7.3 is supposed to be slightly faster than PHP 7.2 for specific work-loads, check out these benchmarks by Phoronix.

In order to support this new version of PHP on Hypernode we updated various PHP extensions and backported some dependencies onto our Ubuntu Xenial based system. Some notable packages we integrated into our repositories are those related to libpcre2, as PHP 7.3 upgrades the use of the Perl Compatible Regular Expressions library to the new PCRE2.

These are the new versions of the PHP related packages and modules in our Ubuntu repository that we updated or rebuilt in order to support PHP 7.3 Note that these changes might also affect you if you continue using an older PHP version as some of these modules are shared between PHP versions:

For specific changes see these changelogs:
php-igbinary, look at 2.0.5 to 2.0.7.
php-ioncube, we updated from 10.2r3 to 10.3r8
php-ext-snappy, the only thing new here is that we now also compile for PHP 7.3
php-hypernode. same as php-ext-snappy, we now just allow building for PHP 7.3
php-imagick, for changes see the difference between 3.4.3 and 3.4.4.
newrelic agent, see 8.0.0.204 to 9.2.0.247

New PHP 7.3 related packages:

Note that at this point in time it is not possible to enable PHP 7.3 on Hypernode yet, neither in the control panel or using the API, but we’re aiming for general availability later this week. These changes will be gradually rolled out on all Hypernodes over the course of the coming seven days. We will be starting with repreproing these packages into the production components of our apt repositories tomorrow morning.

In other news, the Magento 2 preinstall has now been updated to Magento 2.3.3. If you request a preinstall from our support with sample data you will now also get the 2.3.3 sample data (which supports PHP 7.3).